Bug 701369 - (ghc-json) Review Request: ghc-json - Haskell JSON library
Review Request: ghc-json - Haskell JSON library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 693325 ghc-citeproc-hs
  Show dependency treegraph
 
Reported: 2011-05-02 13:46 EDT by Jens Petersen
Modified: 2011-05-24 23:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-json-0.4.4-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 00:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-05-02 13:46:01 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-json/ghc-json.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-json/ghc-json-0.4.4-1.fc14.src.rpm
Description:
A JSON parser and printer library for Haskell.

This is needed by pandoc-1.8.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3045208
Comment 1 Narasimhan 2011-05-07 09:05:39 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-json.spec built/*.rpm

ghc-json.spec:57: W: macro-in-comment %pkg_name
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

ghc-json.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-json.src:57: W: macro-in-comment %pkg_name
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

ghc-json.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-json-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-json-prof.x86_64: E: devel-dependency ghc-json-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-json-prof.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-json-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-json-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/json-0.4.4/libHSjson-0.4.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 8 warnings.

The macro in comment warning can be fixed.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 3 clause variant
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Packaged with BSD 3 clause license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
License file included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum json-0.4.4.tar.gz 
a29a1b52c66971aca87ed54ad1e7de64  json-0.4.4.tar.gz

~/Downloads/json-0.4.4.tar.gz 
a29a1b52c66971aca87ed54ad1e7de64  ~/Downloads/json-0.4.4.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Verified with rpmquery --list.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Verified with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[~ built]$ rpm -e ghc-json-devel
error: Failed dependencies:
        ghc-json-devel = 0.4.4-1.fc14 is needed by (installed) ghc-json-prof-0.4.4-1.fc14.x86_64
[~ built]$ rpm -e ghc-json
error: Failed dependencies:
        ghc-json = 0.4.4-1.fc14 is needed by (installed) ghc-json-devel-0.4.4-1.fc14.x86_64
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
checked with rpmquery --list
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
Yes, license text file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Loaded Text.JSON.Generic in ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Narasimhan 2011-05-07 09:06:08 EDT
Two issues:
If %check is not going to be used, can it be removed? 
Also this warning at line 57  "There is a unescaped macro after a shell style comment in the specfile. Macros" needs fixing. 

Thanks
Comment 3 Jens Petersen 2011-05-09 06:34:42 EDT
Thanks a lot for reviewing.

(In reply to comment #2)
> If %check is not going to be used, can it be removed? 

Sure let me remove it with a comment in the changelog.

> Also this warning at line 57  "There is a unescaped macro after a shell style
> comment in the specfile. Macros" needs fixing. 

How to reproduce that?  Is it related to %check?
Comment 4 Jens Petersen 2011-05-09 06:39:00 EDT
New Package SCM Request
=======================
Package Name: ghc-json
Short Description: Haskell JSON library
Owners: petersen
Branches: f15 f14 el6
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2011-05-10 11:54:46 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2011-05-11 04:27:46 EDT
Imported and built for f16, f15, and f14.

Also fixed the points raised in the review - thanks.
Comment 7 Fedora Update System 2011-05-11 04:32:58 EDT
ghc-json-0.4.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-json-0.4.4-2.fc15
Comment 8 Fedora Update System 2011-05-11 04:33:07 EDT
ghc-json-0.4.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-json-0.4.4-2.fc14
Comment 9 Fedora Update System 2011-05-13 19:12:55 EDT
ghc-json-0.4.4-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 10 Fedora Update System 2011-05-19 00:31:03 EDT
ghc-json-0.4.4-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2011-05-24 23:03:37 EDT
ghc-json-0.4.4-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.